--This file will contain anything that shoots from the player.
bullet = {}
bullet.img = love.graphics.newImage("images/bullet.png")
bullet.speed = 300
bullet.count = 0 --Just for debugging.
bullet.ammo = 5	--For some reason when I added this I dropped from 970-998FPS to around 500FPS...
bullet.damage = 1

function bullet_spawn(x, y, dir) --Direction will always be "up"
	table.insert(bullet, {x=x, y=y, dir=dir}) --I know there HAS to be a more efficient way to do this...
end


function bullet_draw()
	for i,v in ipairs(bullet) do
		love.graphics.setColor(255, 255, 255)
		love.graphics.draw(bullet.img, v.x, v.y) --It may be faster to load a simple rectangle instead of an image?
	end
end

function bullet_update(dt) --Moves the bullet itself across the screen.
	for i,v in ipairs(bullet) do
		if v.dir == "up" then
			v.y = v.y - bullet.speed * dt
		end
	end
end

function bullet_shoot(key)
	if key == " " and bullet.ammo > 0 then
		bullet_spawn(ship.x + ship.width / 2.9, ship.y - ship.height /3.5, 'up') --The odd numbers here are just be trying to get the bullet in the center of the ship...I'm dumb and don't know another way to do this.
		bullet.count = bullet.count + 1
		bullet.ammo = bullet.ammo - 1
	end
end

function bullet_remove(dt) --When the bullet collides with the top of the screen, bullet is removed, ammo is replenished, count goes down.
	for bi,bv in ipairs(bullet) do
		bv.y = bv.y - 100*dt
		if bv.y < 0 then
			table.remove(bullet,bi)
			bullet.ammo = bullet.ammo + 1
			bullet.count = bullet.count - 1
		end
	end
end