

ents = {}
ents.objects = {}
ents.id = 0

ents.x = math.random(10, 390) --Spawns the ents at a random position between x10 and x390
ents.y = 5

ents.img = love.graphics.newImage("images/enemy1.png")

ents.health = 1
ents.bulletDamage = 1
ents.hitDamage = 1 --This is the damage when they run into the player
ents.speed = 200

ents.limit = 10	--This limits the amount of enemies that spawn at a time
ents.spawnTimer = 1000 --when this reaches 0, an enemy spawns

spawn = false

function ent_spawn(x, y, id)
	table.insert(ents, {x=x, y=y, id=id, img = ents.img})
end

function ent_create()
	if spawn == true then
		ent_spawn(ents.x,ents.y,id)
	end
end

function ent_update(dt)
	spawn_timer(dt)
end

function ent_draw()
	for ei, ev in ipairs(ents) do
		love.graphics.setColor(255, 255, 255)
		love.graphics.draw(ev.img, ev.x, ev.y)
	end
end

function spawn_timer(dt)	--Only lets ents spawn after the timer reaches 0
	if ents.spawnTimer <= 1000 then
		ents.spawnTimer = ents.spawnTimer - 1
		spawn = false
	end
	if ents.spawnTimer <=0 then
		spawn = true
		ents.spawnTimer = 1000
		ents.limit = ents.limit - 1
	end
end