

ship = {}

ship.x = 175
ship.y = 600
ship.speed = 250
ship.health = 20
ship.width = 30
ship.height = 25

ship.img = love.graphics.newImage("images/ship.png")
ship.img:setFilter('nearest', 'nearest') --This is placed to get rid of any blur from using pixel art...

function shipDraw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(ship.img, ship.x, ship.y)
end

function shipMove(dt)
	if love.keyboard.isDown("left") or love.keyboard.isDown("a") then
		ship.x = ship.x - ship.speed * dt
	end
	if love.keyboard.isDown("right") or love.keyboard.isDown("d") then
		ship.x = ship.x + ship.speed * dt
	end
	if love.keyboard.isDown("up") or love.keyboard.isDown("w") then
		ship.y = ship.y - ship.speed * dt
	end
	if love.keyboard.isDown("down") or love.keyboard.isDown("s") then
		ship.y = ship.y + ship.speed * dt
	end
end

function shipBorder() --Keeps the ship within a confined area.
	if ship.x < 20 then
		ship.x = 20
	end
	if ship.x + ship.img:getWidth() > 380 then
		ship.x = 380 - ship.img:getWidth()
	end
	if ship. y < 470 then
		ship.y = 470
	end
	if ship.y + ship.img:getHeight() > 630 then
		ship.y = 630 - ship.img:getHeight()
	end
end